@charset "UTF-8";
@import url("/rw_css/fonts.css");
@import url("/rw_css/vars.css");

/* call_btn */
#header{
    .call_btn{
        display: inline-block;
        border: 1px solid var(--color-black);
        border-radius: 22.5px;
        margin-right: 10px;
        position: absolute;
        right: 75px;
        top: 10px;
        padding: 7px 15px;
        display: flex;
        align-items: center;

        img{
            width: 20px;
            height: 20px;
        }

        p{
            display: inline-block;
            font-size: 18px;
            font-weight: var(--font-weight-regular);
            color: var(--color-black);
            margin-left: 2px;
            line-height: 1;
        }
    }
}

/* floating-nav */
.floating-nav {
    position: fixed;
    left: 50%;
    bottom: 20px;
    width: 95vw;
    transform: translate3d(-50%, 0, 0);
    z-index: 1000; 

    .floating-list {
      display: flex;
      column-gap: 2.5%;
      justify-content: center;
    }
  
    .floating-item {
      display: flex;
      flex-grow: 1;
      width: 100%;
    }
  
    .floating-link {
      display: flex;
      flex-grow: 1;
      justify-content: center;
      align-items: center;
      column-gap: 0.8px;
      background: #6099d0;
      color: var(--color-white);
      font-size: 2.5vw;
      padding-inline: 1.2px;
      line-height: 1.2;
      border-radius: 8px;
      padding: 12px 0;

        .floating-text {
            text-align: center;
            font-weight: var(--font-weight-bold);
            white-space: nowrap;

            & > br {
                display: none;
            }
        }
    }
}

/* fixed-nav */
.fixed-nav {
    position: fixed;
    bottom: 130px;
    right: 2%;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 300;
  
    .fixed-nav-button-area {
      display: flex;
      flex-direction: column;
      row-gap: 1rem;
      position: relative;
    }
  
    .fixed-nav-button {
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 50%;
      background: var(--alpha-black-30);
      color: var(--color-white);

      img{
        transition: all 0.3s;
        position: absolute;
        top: 50%; transform: translateY(-50%);
        right: 13px; 
        width: 26px;
        height: 26px;
      }  
      
      &.text {
        padding: 12px 45px 12px 15px;
        border-radius: 9999px;
        font-size: 14px;
        font-weight: var(--font-weight-bold);
      }
    }
}

@media screen and (max-width: 480px) {
    /* call_btn */
    #header{
        .call_btn{
            right: 75px;
            top: 14px;
            padding: 1% 2%;
    
            img{
                width: 16px;
                height: 16px;
            }
    
            p{
                font-size: 14px;
                margin-left: 4px;
            }
        }
    }

    /* floating-nav */
    .floating-nav {
        .floating-list {
          column-gap: 3%;
        }
      
        .floating-link {
          column-gap: 0.8px;
          font-size: 14px;
          padding-inline: 1.6px;
          padding: 8px 0;
    
            .floating-text {
                & > br {
                    display: block;
                }
            }
        }
    }

    /* fixed-nav */
    .fixed-nav {
        .fixed-nav-button {
            img{
                width: 24px;
                height: 24px;
                right: 15px; 
            }  
            
            &.text {
                padding: 10px 47px 10px 17px;
                font-size: 12px;
            }
        }
    }
}

@media screen and (max-width: 380px) {
    /* call_btn */
    #header{
        .call_btn{
            right: 73px;
            top: 15px;
            padding: 1.5% 2.5%;
    
            img{
                width: 14px;
                height: 14px;
            }
    
            p{
                font-size: 13px;
                margin-left: 2px;
            }
        }
    }

    /* floating-nav */
    .floating-nav {
        .floating-list {
          column-gap: 2.5%;
        }
      
        .floating-link {
          font-size: 12px;
          padding: 7px 0;
        }
    }

    /* fixed-nav */
    .fixed-nav {
        .fixed-nav-button {
            img{
                width: 22px;
                height: 22px;
                right: 12px; 
            }  
            
            &.text {
                padding: 10px 42px 10px 12px;
                font-size: 12px;
            }
        }
    }
}

@media screen and (max-width: 320px) {
    /* call_btn */
    #header{
        .call_btn{
            right: 75px;
            top: 14px;
            padding: 1%;
    
            img{
                width: 20px;
                height: 20px;
            }
    
            p{
                display: none;
            }
        }
    }
}